Quassel IRC - Bug #732

quasselcore will not start up when file permissions wrong
07/02/2009 05:37 PM - pennywise

Status: Confirmed Start date: 07/02/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour

Target version:

Version: 0.5-pre 0S: Any

Description

If the sqlite-db exists (in .config/quassel-irc.org/ e.g.), but is not owned by the user runnig quasselcore, the core will not start up and
"hang" after the following log-message

Info: Restoring previous core state...

Related issues:
Related to Quassel IRC - Feature #675: stop the quassel-core when the backend... Rejected 04/15/2009

History

#1 - 07/02/2009 05:39 PM - seezer

- Category set to Quassel Core

- Status changed from New to Confirmed
- Version changed from 0.4.2 to 0.5-pre

- OS changed from Linux to Any

#2 - 07/02/2009 05:40 PM - pennywise
duplicate of #731 sorry about that :(

#3 - 06/09/2013 05:13 PM - Ifaraone

I'll take a look at this.

#4 - 06/16/2013 08:55 PM - Ifaraone
- File Core Configuration Wizard _006.png added
The current behaviour is:

("QSQLITE")
Core is currently not configured! Please connect with a Quassel Client for basic setup.

When connecting with a client, it goes through the first-start workflow only to finish with:
Core configuration failed:

Could not set-up storage!
Press Next to start over.

Files

Core Configuration Wizard_006.png 15.5 KB 06/16/2013 Ifaraone
